## apache2 2.4.29-1ubuntu4.11+9.0trisquel3

=== debian/changelog ===
apache2 (2.4.29-1ubuntu4.11+9.0trisquel3) etiona-security; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 18:10:23 +0000
