## apache2 2.4.29-1ubuntu4.21+9.0trisquel3

=== debian/changelog ===
apache2 (2.4.29-1ubuntu4.21+9.0trisquel3) etiona-security; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 06 Jan 2022 16:36:00 +0000
