## apache2 2.4.29-1ubuntu4.27+9.0trisquel3

=== debian/changelog ===
apache2 (2.4.29-1ubuntu4.27+9.0trisquel3) etiona-security; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 09 Mar 2023 16:40:01 +0000
