=== debian/control ===
--- 
+++ 
@@ -1,31 +1,56 @@
 Source: apache2
 Section: httpd
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
-Uploaders: Stefan Fritsch <sf@debian.org>, Arno Töll <arno@debian.org>
-Build-Depends: debhelper (>= 9.20160709~), lsb-release, dpkg-dev (>= 1.16.1~),
- libaprutil1-dev (>= 1.5.0), libapr1-dev (>= 1.5.0), libpcre3-dev, zlib1g-dev,
- libnghttp2-dev, libssl-dev (>= 1.1), perl,
- liblua5.2-dev, libxml2-dev, autotools-dev, gawk | awk
+Uploaders: Stefan Fritsch <sf@debian.org>,
+           Arno Töll <arno@debian.org>,
+           Ondřej Surý <ondrej@debian.org>
+Build-Depends: debhelper (>= 9.20160709~),
+               dpkg-dev (>= 1.16.1~),
+               gawk | awk,
+               libapr1-dev (>= 1.6.0),
+               libaprutil1-dev (>= 1.6.0),
+               libbrotli-dev (>= 1.0.0),
+               liblua5.2-dev,
+               libnghttp2-dev,
+               libpcre3-dev,
+               libssl-dev (>= 1.1),
+               libxml2-dev,
+               lsb-release,
+               perl,
+               zlib1g-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-apache/apache2.git/
-Vcs-Git: git://anonscm.debian.org/pkg-apache/apache2.git
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/apache-team/apache2
+Vcs-Git: https://salsa.debian.org/apache-team/apache2.git
 Homepage: http://httpd.apache.org/
 
 Package: apache2
 Architecture: any
 Pre-Depends: dpkg (>= 1.17.14)
-Depends: ${misc:Depends}, lsb-base, procps [!hurd-i386],
- perl, mime-support, apache2-bin (= ${binary:Version}),
- apache2-utils (= ${binary:Version}), apache2-data (= ${source:Version}),
- ${perl:Depends}
-Provides: httpd, httpd-cgi
+Depends: apache2-bin (= ${binary:Version}),
+         apache2-data (= ${source:Version}),
+         apache2-utils (= ${binary:Version}),
+         lsb-base,
+         mime-support,
+         perl,
+         procps [!hurd-i386],
+         ${misc:Depends},
+         ${perl:Depends}
+Provides: httpd,
+          httpd-cgi
 Recommends: ssl-cert
-Conflicts: apache2.2-common, apache2.2-bin
-Replaces: apache2.2-common, apache2.2-bin
-Suggests: www-browser, apache2-doc, apache2-suexec-pristine | apache2-suexec-custom, ufw
+Conflicts: apache2.2-bin,
+           apache2.2-common
+Breaks: libapache2-mod-proxy-uwsgi (<< 2.4.33)
+Replaces: apache2.2-bin,
+          apache2.2-common,
+          libapache2-mod-proxy-uwsgi (<< 2.4.33)
+Suggests: apache2-doc,
+          apache2-suexec-pristine | apache2-suexec-custom,
+          www-browser,
+          ufw
 Description: Apache HTTP Server
  The Apache HTTP Server Project's goal is to build a secure, efficient and
  extensible HTTP server as standards-compliant open source software. The
@@ -48,11 +73,17 @@
 
 Package: apache2-bin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-# MODULE_MAGIC_NUMBER_MAJOR from apache2/include/ap_mmn.h
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
 Provides: ${apache2:API}
-Breaks: gridsite (<< 3.0.0~20170225gitd51b2fd-1~), libapache2-mod-dacs (<= 1.4.38a-2)
-Suggests: www-browser, apache2-doc, apache2-suexec-pristine | apache2-suexec-custom
+Breaks: gridsite (<< 3.0.0~20170225gitd51b2fd-1~),
+        libapache2-mod-dacs (<= 1.4.38a-2),
+        libapache2-mod-proxy-uwsgi (<< 2.4.33)
+Replaces: libapache2-mod-proxy-uwsgi (<< 2.4.33)
+Suggests: apache2-doc,
+          apache2-suexec-pristine | apache2-suexec-custom,
+          www-browser
 Description: Apache HTTP Server (modules and other binary files)
  The Apache HTTP Server Project's goal is to build a secure, efficient and
  extensible HTTP server as standards-compliant open source software. The
@@ -65,7 +96,9 @@
 Package: apache2-utils
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
 Description: Apache HTTP Server (utility programs for web servers)
  Provides some add-on programs useful for any web server.  These include:
   - ab (Apache benchmark tool)
@@ -83,7 +116,9 @@
 
 Package: apache2-suexec-pristine
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, apache2-bin
+Depends: apache2-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: apache2-suexec
 Description: Apache HTTP Server standard suexec program for mod_suexec
  Provides the standard suexec helper program for mod_suexec. This version is
@@ -92,7 +127,9 @@
 
 Package: apache2-suexec-custom
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, apache2-bin
+Depends: apache2-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: apache2-suexec
 Description: Apache HTTP Server configurable suexec program for mod_suexec
  Provides a customizable version of the suexec helper program for mod_suexec.
@@ -120,8 +157,12 @@
 
 Package: apache2-dev
 Architecture: any
-Depends: ${misc:Depends}, openssl, libapr1-dev, libaprutil1-dev,
- debhelper (>= 9), ${perl:Depends}
+Depends: debhelper (>= 9),
+         libapr1-dev,
+         libaprutil1-dev,
+         openssl,
+         ${misc:Depends},
+         ${perl:Depends}
 Provides: dh-apache2
 Description: Apache HTTP Server (development headers)
  The Apache HTTP Server Project's goal is to build a secure, efficient and
@@ -140,8 +181,9 @@
 
 Package: apache2-ssl-dev
 Architecture: any
-Depends: ${misc:Depends}, apache2-dev (= ${binary:Version}),
- libssl-dev (>= 1.1)
+Depends: apache2-dev (= ${binary:Version}),
+         libssl-dev (>= 1.1),
+         ${misc:Depends}
 Description: Apache HTTP Server (mod_ssl development headers)
  The Apache HTTP Server Project's goal is to build a secure, efficient and
  extensible HTTP server as standards-compliant open source software. The
@@ -153,7 +195,8 @@
 Package: apache2-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, apache2-bin (= ${binary:Version})
+Depends: apache2-bin (= ${binary:Version}),
+         ${misc:Depends}
 Description: Apache debugging symbols
  The Apache HTTP Server Project's goal is to build a secure, efficient and
  extensible HTTP server as standards-compliant open source software. The
@@ -162,3 +205,12 @@
  This package includes the debugging symbols. It can be used to debug
  crashing server instances and modules.  See
  /usr/share/doc/apache2/README.backtrace for more information.
+
+Package: libapache2-mod-proxy-uwsgi
+Architecture: any
+Section: oldlibs
+Depends: ${misc:Depends}, apache2 (= ${binary:Version})
+Description: transitional package
+ This is a transitional package to apache2 for users of
+ libapache2-mod-proxy-uwsgi.
+ It can be safely removed after the installation is complete.
