=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: apache2
 Section: httpd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
+Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
 Uploaders: Stefan Fritsch <sf@debian.org>,
            Arno Töll <arno@debian.org>,
            Ondřej Surý <ondrej@debian.org>
@@ -19,7 +18,9 @@
                libxml2-dev,
                lsb-release,
                perl,
-               zlib1g-dev
+               zlib1g-dev,
+               libcurl4-openssl-dev | libcurl4-dev,
+               libjansson-dev
 Build-Conflicts: autoconf2.13
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/apache-team/apache2
@@ -43,14 +44,15 @@
 Recommends: ssl-cert
 Conflicts: apache2.2-bin,
            apache2.2-common
-Breaks: libapache2-mod-proxy-uwsgi (<< 2.4.33)
+Breaks: libapache2-mod-md (<< 2.4.33),
+        libapache2-mod-proxy-uwsgi (<< 2.4.33)
 Replaces: apache2.2-bin,
           apache2.2-common,
+          libapache2-mod-md (<< 2.4.33),
           libapache2-mod-proxy-uwsgi (<< 2.4.33)
 Suggests: apache2-doc,
           apache2-suexec-pristine | apache2-suexec-custom,
-          www-browser,
-          ufw
+          www-browser
 Description: Apache HTTP Server
  The Apache HTTP Server Project's goal is to build a secure, efficient and
  extensible HTTP server as standards-compliant open source software. The
@@ -79,8 +81,10 @@
 Provides: ${apache2:API}
 Breaks: gridsite (<< 3.0.0~20170225gitd51b2fd-1~),
         libapache2-mod-dacs (<= 1.4.38a-2),
+        libapache2-mod-md (<< 2.4.33),
         libapache2-mod-proxy-uwsgi (<< 2.4.33)
-Replaces: libapache2-mod-proxy-uwsgi (<< 2.4.33)
+Replaces: libapache2-mod-md (<< 2.4.33),
+          libapache2-mod-proxy-uwsgi (<< 2.4.33)
 Suggests: apache2-doc,
           apache2-suexec-pristine | apache2-suexec-custom,
           www-browser
@@ -206,6 +210,14 @@
  crashing server instances and modules.  See
  /usr/share/doc/apache2/README.backtrace for more information.
 
+Package: libapache2-mod-md
+Architecture: any
+Section: oldlibs
+Depends: ${misc:Depends}, apache2 (= ${binary:Version})
+Description: transitional package
+ This is a transitional package to apache2 for users of libapache2-mod-md.
+ It can be safely removed after the installation is complete.
+
 Package: libapache2-mod-proxy-uwsgi
 Architecture: any
 Section: oldlibs
