=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                liblua5.2-dev,
                libnghttp2-dev,
                libpcre3-dev,
-               libssl-dev (>= 1.1),
+               libssl-dev (>= 1.1.1),
                libxml2-dev,
                lsb-release,
                perl,
